<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil.CasingHashingStrategy int hashCode(com.intellij.database.model.ObjectName)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntroduceTableAliasIntention Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4284.36&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil com.intellij.sql.psi.SqlIdentifier getIdentifier(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil void qualifyReference(com.intellij.openapi.editor.RangeMarker, java.lang.Iterable&lt;com.intellij.database.model.ObjectName&gt;, com.intellij.database.dialects.DatabaseDialectEx)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3942.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt com.intellij.sql.psi.SqlGroupByClause generateGroupByClause(java.util.List&lt;? extends com.intellij.sql.psi.SqlExpression&gt;, com.intellij.sql.psi.SqlQueryExpression, com.intellij.sql.dialects.SqlLanguageDialectEx, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil.ListHashingStrategy boolean equals(java.util.List&lt;T&gt;, java.util.List&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3942.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlExtractNamedQueryIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlReplaceColumnNumberWithNameIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.7141.44&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertBetweenToComparisonIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertJoinUsingToNaturalIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil void qualifyReference(java.lang.Iterable&lt;com.intellij.database.model.ObjectName&gt;, com.intellij.database.dialects.DatabaseDialectEx, com.intellij.sql.psi.SqlIdentifier)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3942.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil void chooseQualifier(com.intellij.openapi.editor.Editor, com.intellij.openapi.editor.RangeMarker, java.util.List&lt;java.util.List&lt;com.intellij.database.model.ObjectName&gt;&gt;, com.intellij.database.dialects.DatabaseDialectEx, com.intellij.util.Consumer&lt;java.lang.Iterable&lt;com.intellij.database.model.ObjectName&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3942.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.JoinUtilsKt com.intellij.sql.intentions.ImplicitJoinInfo getNaturalJoinInfoByKeyword(com.intellij.psi.PsiElement, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.JoinUtilsKt com.intellij.openapi.util.Couple&lt;kotlin.Pair&lt;com.intellij.database.model.DasTable,java.util.List&lt;com.intellij.database.model.DasColumn&gt;&gt;&gt; getRelationInfo(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5662.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.IntentionUtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertComparisonToBetweenIntention.Info com.intellij.sql.psi.SqlExpression getUpperBound()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlInlineTableAliasIntention boolean isSuitable(com.intellij.sql.psi.SqlAsExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp kotlin.enums.EnumEntries&lt;com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp&gt; getEntries()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt com.intellij.psi.PsiElement wrapAlias(com.intellij.sql.psi.SqlExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlQualificationIntentionBase int getDepth(com.intellij.sql.dialects.SqlLanguageDialectEx, com.intellij.database.model.ObjectKind)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil.CasingHashingStrategy CasingHashingStrategy(com.intellij.database.util.Casing)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp EQ">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil com.intellij.sql.psi.SqlReferenceExpression getReferenceExpression(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertToSubqueryIntention SqlConvertToSubqueryIntention(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Info com.intellij.sql.psi.SqlExpression getExpressionToReplace()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.ImplicitJoinInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.JoinUtilsKt T asNullable(T)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5662.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertNaturalJoinToUsingIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.IntentionUtilsKt kotlin.sequences.Sequence&lt;com.intellij.sql.psi.SqlInsertStatement&gt; getInsertStatements(com.intellij.openapi.editor.Editor, com.intellij.psi.PsiFile, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil void qualifyReference(com.intellij.openapi.editor.RangeMarker, java.lang.Iterable&lt;? extends com.intellij.database.model.ObjectName&gt;, com.intellij.database.script.generator.NamingService, com.intellij.sql.formatter.settings.SqlCodeStyleSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlFlipExpressionIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.7660.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt com.intellij.sql.psi.SqlExpression unwrapAlias(com.intellij.sql.psi.SqlExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.6015.39&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertJoinUsingToOnIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertComparisonToBetweenIntention.Info com.intellij.sql.psi.SqlReferenceExpression getSubject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertInToEqualityIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt kotlin.Pair&lt;com.intellij.sql.psi.SqlReferenceExpression,com.intellij.sql.psi.SqlExpression&gt; splitWithReference(com.intellij.sql.psi.SqlBinaryExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlInlineCteIntention com.intellij.sql.intentions.SqlInlineCteIntention getFileModifierForPreview(com.intellij.psi.PsiFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlFlipExpressionIntention.SqlFlipExpressionTokenSets INSTANCE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlSplitStringLiteralIntention SqlSplitStringLiteralIntention(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlReplaceDistinctWithGroupByIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt boolean isAntiEquality(com.intellij.sql.psi.SqlBinaryExpression, com.intellij.database.Dbms)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.JoinUtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Info com.intellij.sql.psi.SqlReferenceExpression getSubject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlInjectByTypeIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlInjectByTypeIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlPreviewDmlAction">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt boolean isOr(com.intellij.sql.psi.SqlBinaryExpression, com.intellij.database.Dbms)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp valueOf(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntroduceTableAliasIntention.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4284.36&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertJoinOnToNaturalIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.IntentionUtilsKt void modifyDocument(com.intellij.psi.PsiFile, kotlin.jvm.functions.Function1&lt;? super com.intellij.openapi.editor.Document,kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil void qualifyReference(java.lang.Iterable&lt;com.intellij.database.model.ObjectName&gt;, com.intellij.database.script.generator.NamingService, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertComparisonToBetweenIntention.Info Info(boolean, com.intellij.psi.PsiElement, com.intellij.sql.psi.SqlReferenceExpression, com.intellij.sql.psi.SqlExpression, com.intellij.sql.psi.SqlExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlReplaceColumnNameWithNumberIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.7141.44&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp[] values()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil void qualifyReference(java.util.List&lt;? extends java.lang.Iterable&lt;com.intellij.database.model.ObjectName&gt;&gt;, com.intellij.database.script.generator.NamingService, com.intellij.sql.psi.SqlIdentifier, com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntroduceTableAliasIntention SqlIntroduceTableAliasIntention(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil.CasingHashingStrategy boolean equals(com.intellij.database.model.ObjectName, com.intellij.database.model.ObjectName)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntroduceTableAliasIntention.Companion com.intellij.sql.psi.SqlResultSetExpression getTopExpression(com.intellij.sql.psi.SqlExpression, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4588.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Info Info(com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp, com.intellij.sql.psi.SqlExpression, com.intellij.sql.psi.SqlReferenceExpression, java.util.List&lt;? extends com.intellij.sql.psi.SqlExpression&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlAddGroupedColumnToSelectIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlQualifyIdentifierIntention SqlQualifyIdentifierIntention(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt com.intellij.sql.psi.SqlGroupByClause getGroupByClause(com.intellij.sql.psi.SqlQueryExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt boolean checkEquivalence(com.intellij.sql.psi.SqlReferenceExpression, com.intellij.sql.psi.SqlReferenceExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertComparisonToBetweenIntention.Info boolean isNot()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlInlineCteIntention SqlInlineCteIntention(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlBaseElementAtCaretIntentionAction">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlExtractNamedQueryIntention SqlExtractNamedQueryIntention(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil void chooseQualifier(com.intellij.openapi.editor.Editor, com.intellij.openapi.util.Segment, java.util.List&lt;? extends java.util.List&lt;com.intellij.database.model.ObjectName&gt;&gt;, com.intellij.database.script.generator.NamingService, com.intellij.sql.formatter.settings.SqlCodeStyleSettings, com.intellij.database.model.CasingProvider, com.intellij.util.Consumer&lt;? super java.lang.Iterable&lt;com.intellij.database.model.ObjectName&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.JoinConditionInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt com.intellij.sql.psi.SqlExpression topParenthesized(com.intellij.sql.psi.SqlExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp NOT_EQ">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertToSubqueryIntention com.intellij.sql.intentions.SqlConvertToSubqueryIntention getFileModifierForPreview(com.intellij.psi.PsiFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlExtractNamedQueryIntention com.intellij.sql.intentions.SqlExtractNamedQueryIntention getFileModifierForPreview(com.intellij.psi.PsiFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil.ListHashingStrategy int hashCode(java.util.List&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlMergeInsertStatementsIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt boolean isEquality(com.intellij.sql.psi.SqlBinaryExpression, com.intellij.database.Dbms)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlExpandColumnListIntention java.lang.String getAllColumnsList(com.intellij.openapi.project.Project, com.intellij.psi.PsiElement, com.intellij.sql.psi.SqlTableType, com.intellij.sql.dialects.SqlLanguageDialectEx, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt com.intellij.sql.psi.SqlGroupByClause generateGroupByClause(java.lang.String, com.intellij.sql.psi.SqlQueryExpression, com.intellij.sql.dialects.SqlLanguageDialectEx, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertNaturalJoinToOnIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.JoinUtilsKt T component1(com.intellij.openapi.util.Couple&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5662.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.JoinUtilsKt T component2(com.intellij.openapi.util.Couple&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5662.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertJoinOnToUsingIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlInlineCteIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.6682.168&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt com.intellij.sql.psi.SqlExpression deparenthesize(com.intellij.sql.psi.SqlExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertComparisonToBetweenIntention.Info com.intellij.sql.psi.SqlExpression getLowerBound()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt java.lang.String getKeywordCaseAware(java.lang.String, com.intellij.openapi.project.Project, com.intellij.lang.Language)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertComparisonToBetweenIntention.Info com.intellij.psi.PsiElement getElementToReplace()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntentionUtil java.lang.String joinNames(java.lang.Iterable&lt;com.intellij.database.model.ObjectName&gt;, com.intellij.database.dialects.DatabaseDialectEx)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3942.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.JoinUtilsKt com.intellij.sql.intentions.ImplicitJoinInfo getNaturalJoinInfo(com.intellij.sql.psi.SqlJoinExpression, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertToSubqueryIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlIntroduceTableAliasIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4139.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlReplaceGroupByWithDistinctIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlSplitInsertStatementIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertToSubqueryIntentionKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlExpandColumnListIntention java.lang.String getAllColumnsList(com.intellij.openapi.project.Project, com.intellij.psi.PsiElement, com.intellij.sql.psi.SqlTableType, com.intellij.sql.dialects.SqlLanguageDialectEx)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3283.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlFlipExpressionIntention.SqlFlipExpressionTokenSets com.intellij.psi.tree.TokenSet getCOMMUTATIVE_OPERATOR_TYPES()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlQualificationIntentionBase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3942.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlInlineTableAliasIntention void invoke(com.intellij.sql.psi.SqlAsExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlAddExternalRelationIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5662.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.UtilsKt boolean isAnd(com.intellij.sql.psi.SqlBinaryExpression, com.intellij.database.Dbms)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlInlineTableAliasIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4284.36&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlDropInsertColumnIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlPreviewUpdateDmlAction java.lang.String getStatement(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.6911.18&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Info com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Cmp getCmp()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertComparisonToBetweenIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.JoinUtilsKt com.intellij.openapi.util.Couple&lt;kotlin.Pair&lt;com.intellij.database.model.DasTable,java.util.List&lt;com.intellij.database.model.DasColumn&gt;&gt;&gt; getColumnEqualities(com.intellij.sql.psi.SqlExpression, com.intellij.database.Dbms)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.6494.35&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.sql.intentions.SqlConvertEqualityToInIntention.Info java.util.List&lt;com.intellij.sql.psi.SqlExpression&gt; getValues()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
</root>
